# nsd.tcl -- This is a sample AOLserver Startup Script for Windows
#
# By mburke@arsdigita.com, 2000-04-16
# Based on a file created by Curtis Galloway
#
# This sample script will, with minor modifications, get you
# up and running ACS on a Windows box.
#
# $Id: windows-nsd.tcl,v 1.1 2001/04/07 03:57:30 mayoff Exp $
#


#############################################
#
# Change the following to reflect your setup.
#
#############################################
set server            winacs
set httpport          80
set oracleuser        winacs
set oraclepassword    acsrules
set hostname          localhost
set ip_address        127.0.0.1


#############################################
#
# No changes are necessary to the following.
#
#############################################
set home              [file dirname [ns_info config]]
set bin               [file dirname [info nameofexecutable]]
set sroot             servers/$server

foreach d [list log servers $sroot $sroot/modules $sroot/pages] {
    if ![file exists $home/$d] {
	file mkdir $home/$d
    }
}

ns_section ns/threads
ns_param stacksize 128000

ns_section ns/db/drivers
ns_param ora8 ora8.dll

ns_section ns/db/pool/main
ns_param driver ora8
ns_param connections 2
ns_param user $oracleuser
ns_param datasource ""
ns_param password $oraclepassword
ns_param verbose off

ns_section ns/db/pool/subquery
ns_param driver ora8
ns_param connections 2
ns_param user $oracleuser
ns_param datasource ""
ns_param password $oraclepassword
ns_param verbose off

ns_section ns/db/pool/log
ns_param driver ora8
ns_param connections 2
ns_param user $oracleuser
ns_param datasource ""
ns_param password $oraclepassword
ns_param verbose off

ns_section ns/db/pools
ns_param main main
ns_param subquery subquery
ns_param log log

ns_section ns/parameters
ns_param home $home
#ns_param smtphost your.mail.server
#ns_param smtpuser username

ns_section ns/servers
ns_param $server $server

ns_section ns/server/$server
ns_param threadtimeout 5000000
ns_param pageroot /web/$server/www
ns_param enabletclpages on
ns_param directoryfile index.tcl,index.adp,index.html,index.htm

ns_section ns/server/$server/adp
ns_param map /*.adp
ns_param defaultparser fancy

ns_section ns/server/$server/modules
foreach m [list nssock nslog nssha1 nscache nscgi] {
        ns_param $m $bin/$m.dll
}

ns_section ns/server/$server/adp
ns_param map /*.adp

ns_section ns/server/$server/module/nssock
ns_param port $httpport
ns_param address $ip_address
ns_param hostname $hostname

ns_section ns/server/$server/module/nscgi
ns_param map "GET /*.bat"
ns_param map "GET /cgi $bin"

ns_section ns/server/$server/db
ns_param pools *
ns_param DefaultPool main

ns_section ns/server/$server/tcl
ns_param library /web/$server/tcl
